zenilib: Zeni::Popup_Menu_State Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Member Functions | Public Attributes | List of all members
Zeni::Popup_Menu_State Class Reference

`#include <Popup_State.h>`

Inherits Zeni::Popup_State.

## Classes

class | Configure_Video_Button
class | Quit_Button
class | Sound_Check_Box

## Public Member Functions

| Popup_Menu_State ()
void | on_pop ()
| Called when the Gamestate is popped off the stack in Game. More...
void | on_push ()
| Called when the Gamestate is pushed onto the stack in Game. More...
Public Member Functions inherited from Zeni::Popup_State
| Popup_State ()
Public Member Functions inherited from Zeni::Widget_Gamestate
| Widget_Gamestate (const std::pair< Point2f, Point2f > &virtual_window_, const bool &fix_aspect_ratio_=true)
const bool & | fix_aspect_ratio () const
const std::pair< Point2f, Point2f > & | get_virtual_window () const
void | on_key (const SDL_KeyboardEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
void | on_mouse_button (const SDL_MouseButtonEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
void | on_mouse_motion (const SDL_MouseMotionEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
void | on_pop ()
| Called when the Gamestate is popped off the stack in Game. More...
void | on_push ()
| Called when the Gamestate is pushed onto the stack in Game. More...
void | perform_logic ()
| Then perform logic. Called by Game as part of the main gameloop. More...
void | render ()
| Then render. Called by Game as part of the main gameloop. More...
Public Member Functions inherited from Zeni::Gamestate_Base
| Gamestate_Base ()
virtual | ~Gamestate_Base ()
const bool & | is_pausable () const
virtual void | on_cover ()
| Called when a Gamestate is pushed on top of this Gamestate in Game. More...
virtual void | on_event (const SDL_Event &event)
| First check for events. Called by Game as part of the main gameloop. More...
virtual void | on_uncover ()
| Called when a Gamestate is popped off Game, making this Gamestate on top. More...
void | set_pausable (const bool &pausable_)

## Public Attributes

Zeni::Popup_Menu_State::Configure_Video_Button | configure_video_button
Zeni::Popup_Menu_State::Quit_Button | quit_button
Zeni::Popup_Menu_State::Sound_Check_Box | sound_check_box

## Additional Inherited Members

Static Public Member Functions inherited from Zeni::Gamestate_Base
static char | to_char (const SDL_Keysym &ks)
| Returns a character key corresponding to the current combination of keys pressed or the null character (0). More...
static SDL_Keycode | to_sym (const String &text_version)
| Convert a text representation to an actual sym. More...
static String | to_text (const SDL_Keycode &sym)
| Convert a sym to a text representation. More...
Protected Member Functions inherited from Zeni::Popup_State
void | on_key (const SDL_KeyboardEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
void | perform_logic ()
| Then perform logic. Called by Game as part of the main gameloop. More...
void | prerender ()
| No actual rendering, but any logic strictly necessary for rendering. More...
void | render ()
| Then render. Called by Game as part of the main gameloop. More...
Protected Member Functions inherited from Zeni::Gamestate_Base
virtual void | on_active (const SDL_ActiveEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_controller_axis (const SDL_ControllerAxisEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_controller_button (const SDL_ControllerButtonEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_controller_device (const SDL_ControllerDeviceEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_quit (const SDL_QuitEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_system_wm_event (const SDL_SysWMEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_user_event (const SDL_UserEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_video_expose (const SDL_ExposeEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
virtual void | on_video_resize (const SDL_ResizeEvent &event)
| Override this input callback in your Gamestates. See SDL documentation for details. More...
Protected Attributes inherited from Zeni::Popup_State
Gamestate | m_gamestate
Protected Attributes inherited from Zeni::Widget_Gamestate
Widgets | m_widgets

## Detailed Description

Definition at line 114 of file Popup_State.h.

## Constructor & Destructor Documentation

Zeni::Popup_Menu_State::Popup_Menu_State | ( |  | ) |

inline

Definition at line 243 of file Popup_State.h.

## Member Function Documentation

void Zeni::Popup_Menu_State::on_pop | ( |  | ) |

inlinevirtual

Called when the Gamestate is popped off the stack in Game.

Reimplemented from Zeni::Popup_State.

Definition at line 267 of file Popup_State.h.

References Zeni::get_Game(), Zeni::Popup_State::on_pop(), and u.

void Zeni::Popup_Menu_State::on_push | ( |  | ) |

inlinevirtual

Called when the Gamestate is pushed onto the stack in Game.

Reimplemented from Zeni::Popup_State.

Definition at line 260 of file Popup_State.h.

References Zeni::get_Game(), Zeni::Popup_State::on_push(), and u.

## Member Data Documentation

Zeni::Popup_Menu_State::Configure_Video_Button Zeni::Popup_Menu_State::configure_video_button

Zeni::Popup_Menu_State::Quit_Button Zeni::Popup_Menu_State::quit_button

Zeni::Popup_Menu_State::Sound_Check_Box Zeni::Popup_Menu_State::sound_check_box

The documentation for this class was generated from the following file:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Popup_State.h